View Issue Details

IDProjectCategoryView StatusLast Update
0005736mantisbtbugtrackerpublic2005-07-23 02:25
ReporterOliverBee Assigned Tothraxisp  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionduplicate 
Summary0005736: Don't delete name of user if user is removed
Description

If a user is removed from mantis, the user name should still be displayed in the users issues.In the case somebody leaves my company I want to delete him from mantis but I still want to know which bugs he has reported/handled etc. I think it's not comfortable to set him just to inactive.

Maybe there should be an option when deleting a user if only his preferences, profiles should be deleted or every relation to this user too.

Maybe it should also be possible to re-register such a user, the all preferences, profiles should be set to default values.

TagsNo tags attached.

Relationships

duplicate of 0003116 acknowledged If a user reports a bug, and gets purged for inactivity, updating the bug changes the username 

Activities

thraxisp

thraxisp

2005-06-08 10:52

reporter   ~0010417

Rather than deleting users, why not just disable and protect them? This prevents them from logging in or changing any of their settings. It has the advantage of leaving them in the system for display purposes. I believe that it uses a strigkethrough font when displaying.

OliverBee

OliverBee

2005-06-08 10:59

reporter   ~0010419

This is what I'm doing at moment, but what is than deleting user good for? I think it doesn't make sense in any project if the real names will disappear and so I can never delete my users leaving company. For our institute we have many students working some months here and than leaving again, so I would like to remove them.

For me the difference would be:
disable user: user is temporily not on the project or in company, but he will most likely come back.
deleting user: user won't most likely come back, but user info should also be kept. Maybe we have a question a half year later to him (which is very common here) and with him as handler we know that he handled the bug :)

Issue History

Date Modified Username Field Change
2005-06-08 07:52 OliverBee New Issue
2005-06-08 10:52 thraxisp Note Added: 0010417
2005-06-08 10:52 thraxisp Status new => feedback
2005-06-08 10:59 OliverBee Note Added: 0010419
2005-06-14 17:37 thraxisp Relationship added duplicate of 0003116
2005-06-14 17:37 thraxisp Duplicate ID 0 => 3116
2005-06-14 17:37 thraxisp Status feedback => resolved
2005-06-14 17:37 thraxisp Resolution open => duplicate
2005-06-14 17:37 thraxisp Assigned To => thraxisp
2005-07-23 02:25 vboctor Status resolved => closed